#!/usr/bin/gnuplot

load "T0.plt"

P0 = 2.*pi/28.001586147535200
dP0_dt = 1.9e-12

f(x) = P0 + dP0_dt*(x-(T0-2400000))

fit f(x) "<awk '($1==-1)' spin.out" u ($2-2400000):(2.*pi/$6) via dP0_dt

print "dP0/dt = ", dP0_dt, " d d^-1"

set xl "JD - 2400000"
set yl "P [d]"

set arrow from T0-2400000,graph 0 rto 0,graph 1 nohead lt 0

p "<awk '($1==-1)' spin.out" u ($2-2400000):(2.*pi/$6) w lp,\
   f(x) w l lw 3 t sprintf("%.10f + %.3e t", P0, dP0_dt),\
   P0 w l lt 0 not

pa -1


