#!/usr/bin/gawk -f

BEGIN{
  pi = 4.*atan2(1.,1.);
  pi2 = 2.*pi;
  deg = pi/180;

  OFMT="%.8f";

  T0 = 2454728.761806;
  timespan = 3780.;

  t1 = T0;
  t2 = T0+timespan;
  eps = 1.e-3;

  "awk '/x_param/ && ($3== 4){ print $6; }' chi2.out" | getline P1;
  "awk '/x_param/ && ($3==10){ print $6; }' chi2.out" | getline P2;
#  P1 = 1.8228576292243663;
#  P2 = 2.7444371196193273;
  E1 = timespan/P1;
  E2 = timespan/P2;

  print "# t1 = ", t1;
  print "# t2 = ", t2;
  print "# timespan = ", timespan;
  print "# P1 = ", P1, " d"
  print "# P2 = ", P2, " d"
  print "# E1 = ", E1, "(simple, timespan/P)";
  print "# E2 = ", E2;

  for (i=1; i<=2; i++) {
    phi360[i] = 0.0;
  }
}
!/^#/ && ($1>=t1-eps) && ($2<=t2+eps){
  t = $1;
  i = -$2-1;
  lambda[i] = zero2pi(($6+$7+$8)*deg);

  if (lambda[i] < lambda_[i]) {
    phi360[i] = phi360[i]+pi2;
  }
  lambda_[i] = lambda[i];

#  if (i==1) { print "t = ", t, ", lambda = ", lambda[i], ", phi360 = ", phi360[i]; }
}
(j==0) && ($1>=t1-eps){
  lambda1[i] = lambda[i]
#  if (i==1) { print "lambda1 = ", lambda1[i]; }
}
(j==0) && ($1>=t1-eps) && ($2==-3){
  j=1;
}
(k==0) && ($1>=t2-eps){
  lambda2[i] = lambda[i]
#  if (i==1) { print "lambda2 = ", lambda2[i]; }
}
(k==0) && ($1>=t2-eps) && ($2==-3){
  k=1;
}
END{
  for (i=1; i<=2; i++) {
    E = (phi360[i] + lambda2[i] - lambda1[i])/pi2;
    print "E" sprintf("%d", i) " = ", E
  }
}

func frac(x) {
  return x-int(x);
}

func zero2pi(x) {
  y = pi2*frac(x/pi2);
  if (y < 0.0) {
    y = y+pi2;
  }
  return y;
}


